<?php
/**
 * Clase UsuarioBL
 *
 * @package    
 * @subpackage 
 * @author     UsuarioBL
 * @version    SVN: $Id: UsuarioBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class UsuarioBL{
    
  /**
  * 
  *
  * @param $o_UsuarioBean, objeto de tipo Usuario 
  * @return Boolean
  */
  public function busquedaUsuario(UsuarioBean $o_UsuarioBean){
    
    $o_UsuarioCT = new UsuarioCT();
    return $o_UsuarioCT->seleccionar($o_UsuarioBean);
    
  }
  
  public function getUsuario(UsuarioBean $o_UsuarioBean){
    
    $o_UsuarioCT = new UsuarioCT();
    return $o_UsuarioCT->seleccionar($o_UsuarioBean);
    
  }
  
  public function insertarUsuario(UsuarioBean $o_UsuarioBean){
    
    $tmp_pass_new = md5($o_UsuarioBean->getContrasena());
    $o_UsuarioBean->setContrasena($tmp_pass_new);
    
    $o_UsuarioCT = new UsuarioCT();
    $o_UsuarioCT->guardar($o_UsuarioBean);
    
  }
  public function modificarUsuario(UsuarioBean $o_UsuarioBean){
      if($o_UsuarioBean->getContrasena()){
         $tmp_pass_new = md5($o_UsuarioBean->getContrasena());
         $o_UsuarioBean->setContrasena($tmp_pass_new);
      }
      $o_UsuarioCT = new UsuarioCT(); 
      return $o_UsuarioCT->modificar($o_UsuarioBean);
  }
  /**
	* Función que retorna un objeto Usuario o una lista de Objetos de Usuario,
	* dependiendo del parametro que se le envia si este contiene o no el Id de Usuario
	*
	* @param $o_UsuarioBean, es un objeto de tipo Usuario
	* @return Object
	*/
	public function modificarEstadoUsuario(UsuarioBean $o_UsuarioBean){
	
	}
  
   public function eliminarUsuario(UsuarioBean $o_UsuarioBean){
     $o_UsuarioCT = new UsuarioCT();
    return $o_UsuarioCT->eliminar($o_UsuarioBean);
  }
  
  public function getCountResult(UsuarioBean $o_UsuarioBean){
    $o_UsuarioCT = new UsuarioCT();
    return $o_UsuarioCT->totalRegistros($o_UsuarioBean);
  }
  
  
}

